package guru.kake.ronove

import javafx.scene.control.ToggleGroup
import tornadofx.*

/**
 * View for initializing new and editing existing projects' settings
 */
class ProjectSettings : View("Ronove") {
    private val toggleGroup = ToggleGroup()
    override val root = form {
        //val numbers = (1..10).toList()
        val kittens = listOf("https://i.imgur.com/DuFZ6PQb.jpg", "https://i.imgur.com/o2QoeNnb.jpg")

        fieldset {
            field("Project name") {
                textfield()
            }
            field("Folder") {
                textfield()
                button("Open...")
            }
            hbox(20) {
                field("Language") {
                    combobox<String> {

                    }
                }
                field("to") {
                    combobox<String> {

                    }
                }
            }
            field("Source files") {
                radiobutton("Text", toggleGroup)
                radiobutton("Images", toggleGroup)
                radiobutton("None", toggleGroup)
            }
        }
        datagrid(kittens) {
            cellHeight = 150.0
            cellWidth = 150.0

            multiSelect = true

            cellCache {
                vbox {
                    imageview(it) {
                        fitWidth = 150.0
                        fitHeight = 120.0
                        isPreserveRatio = true
                    }
                    label(it)
                }
            }
        }
        fieldset {
            field {
                button("|<")
                button("<")
                button("Add...")
                button("Remove")
                button("Sort")
                button(">")
                button(">|")
            }
            field {
                button("Cancel")
                button("Confirm")
            }
        }
    }
}